Subject: [PATCH v2] arm: omap3: cm-t35: add support for cm-t3730

From: [email-masked] (Tony Lindgren)
Date: Tue, 14 Jun 2011 00:36:49 -0700

* Igor Grinberg <[email-masked]> [110613 12:30]:
> On 06/13/11 16:33, Tony Lindgren wrote:
> > * Igor Grinberg <[email-masked]> [110603 06:33]:
> >> I'm not sure I understand what are you trying to propose here...
> >> If you look once again on the code, there is currently only one if (cpu_is_..) {} else {}
> >> statement currently present.
> >> (I can remove the "if (cpu_is_omap3630())" - it indeed has no value)
> >>
> >> Indeed, there will be some other differences...
> >> Each time I submit a patch, I try to be as optimal as I can,
> >> but again I'm open for suggestions...
> >> (though I think it is optimal, e.g. 33 lines for a new running board...)
> > What I meant is that maybe you should do the detection first in some
> > get_revision function and populate the gpio pins there. Sort of like
> > this recent beagle patch:
> >
> > https://patchwork.kernel.org/patch/859662/
> 
> Yes I've seen this patch (actually, I was one of the people who reviewed it).
> 
> > That way adding support for other differences will be easier.
> 
> OK, now I understand what you mean.
> I think currently this is not optimal for cm-t35/3730 and will just complicate
> things and introduce more l-o-c.
> 
> The situation on beagle board is much more complicated then on cm-t3x.
> Beagle has quite a large number of revisions,
> while cm-t35 has only one and cm-t3730 has only one.
> Moreover, there is no difference in gpios - same numbers are used
> for the same functionality.
> 
> In particular the only two differences (that s/w cares about) between the boards are:
> 1) mux of the DSS pins
> 2) no NAND on cm-t3730 (still not introduced by the patch in subj)
> 
> Nevertheless, I will try to come up with something,
> so we can see and decide what is a better option.

OK if the differences are minimal, then it's up to you to which way
you want to patch it: )
 
> I will base it on your devel-board branch
> (correct me if you want it some other way).

That's good thanks.

Regards,

Tony